
use crate::playground::Playground;

pub trait Solver {
    fn solve(&self, _: &Playground) -> Option<Playground>;
}

enum SodokuComplexity {
    Trivial,
    Easy,
    Average,
    Hard,
    Difficult,
    Impossibru
}

pub trait Generator{
    fn generate(&self, _complexity:&SodokuComplexity) -> Playground;
}